# Interface EnumTypeGlobal

Global enum

#### Category

User-defined elementary types

#### Hierarchy

- EnumTypeGlobal

- Defined in codec/lib/format/types.ts:466

#####
Index

### Properties

id
kind
options?
typeClass
typeName

## Properties

### id

id: string

Internal ID. Format may change in future.

- Defined in codec/lib/format/types.ts:472

### kind

kind: "global"

- Defined in codec/lib/format/types.ts:468

### `Optional` options

options?: string[]

these must be in order

- Defined in codec/lib/format/types.ts:477

### typeClass

typeClass: "enum"

- Defined in codec/lib/format/types.ts:467

### typeName

typeName: string

- Defined in codec/lib/format/types.ts:473

Generated using TypeDoc